r7495: used --maximum-runtime=300 for each smbtorture call, to prevent it
authorAndrew Tridgell <tridge@samba.org>
Sun, 12 Jun 2005 01:36:56 +0000 (01:36 +0000)
committerGerald (Jerry) Carter <jerry@samba.org>
Wed, 10 Oct 2007 18:18:00 +0000 (13:18 -0500)
running too long

source/script/tests/selftest.sh
source/script/tests/test_binding_string.sh
source/script/tests/test_echo.sh
source/script/tests/test_functions.sh
source/script/tests/test_ldap.sh
source/script/tests/test_local.sh
source/script/tests/test_posix.sh
source/script/tests/test_rpc.sh
source/script/tests/test_w2k3.sh

index ac3fd71f94765323f7d0bda1d5efed378b09315f..4f3233a91743880e013768ba1ca614c6abbb12e2 100755 (executable)
@@ -68,6 +68,11 @@ fi
 
 smbd_check_or_start
 
+# ensure any one smbtorture call doesn't run too long
+TORTURE_OPTIONS="--maximum-runtime=300"
+export TORTURE_OPTIONS
+
+
 START=`date`
 (
  # give time for nbt server to register its names
index a7934789dcfa111e5958c2e7c28f507a09ee79eb..afc531250041041ec13332a4758c0b2185d87d87 100755 (executable)
@@ -28,7 +28,7 @@ for I in "ncacn_np:$server" \
                 "308FB580-1EB2-11CA-923B-08002B1075A7@ncacn_np:$server" \
                 "308FB580-1EB2-11CA-923B-08002B1075A7@ncacn_ip_tcp:$server" 
 do
-       testit "$I" bin/smbtorture "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+       testit "$I" bin/smbtorture $TORTURE_OPTIONS "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
 done
 
 testok $0 $failed
index 4ded5961e417aab036eb5bcb37ea573871d503bd..5b033b1a76b3c394b75d7c02710edf0785dbb93a 100755 (executable)
@@ -34,13 +34,13 @@ for transport in $transports; do
         "--option=ntlmssp_client:ntlm2=no  --option=ntlmssp_client:keyexchange=no  --option=torture:echo_TestSleep=no" \
     ; do
    name="$transport with $bindoptions and $ntlmoptions"
-   testit "$name" bin/smbtorture $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+   testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
   done
  done
 done
 
 # separately test the print option - its v slow
 name="print option"
-testit "$name" bin/smbtorture ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
 
 testok $0 $failed
index 4996dba0cb1acf57d5f5c12ddcc4659d8f7142a7..1ed575f926c07dd85cb9a84973dac35f4893b260 100644 (file)
@@ -19,7 +19,7 @@ smbd_check_or_start() {
 
                echo -n "STARTING SMBD..."
                ((
-                       $SRCDIR/bin/smbd -d1 -s $CONFFILE -M single -i < $SMBD_TEST_FIFO > $SMBD_TEST_LOG 2>&1;
+                       $SRCDIR/bin/smbd --maximum-runtime=1800 -d1 -s $CONFFILE -M single -i < $SMBD_TEST_FIFO > $SMBD_TEST_LOG 2>&1;
                        ret=$?;
                        rm -f $SMBD_TEST_FIFO;
                        if [ -n "$SOCKET_WRAPPER_DIR" -a -d "$SOCKET_WRAPPER_DIR" ]; then
index ea2e6ad7aa17e9b85ccd8efc9ec1296439ecc43d..84f1272631c31e464ac4a12f348134392457d165 100755 (executable)
@@ -19,5 +19,5 @@ echo "Listing Groups"
 ldbsearch -H ldap://$SERVER -b "$BASEDN" '(objectclass=group)' sAMAccountName || exit 1
 
 echo "CLDAP test"
-bin/smbtorture //$SERVER/_none_ LDAP-CLDAP || exit 1
+bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ LDAP-CLDAP || exit 1
 
index 372067323f98ae2a3c0ee1eda4bc0789d0a31ee8..b50ec58e0bf3f4f8a8e30f14b125befebf45d21a 100755 (executable)
@@ -23,7 +23,7 @@ export SMBD_TEST_FIFO
 failed=0
 for t in $local_tests; do
        name="$t"
-       testit "$name" $VALGRIND bin/smbtorture ncalrpc: $t "$*" || failed=`expr $failed + 1`
+       testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS ncalrpc: $t "$*" || failed=`expr $failed + 1`
 done
 
 testok $0 $failed
index 3e160e3a7632e2fd0ac49e67fcbe904be79469b6..68fb59350ee78c2a0a5e8520d0398cedd7f32110 100755 (executable)
@@ -46,7 +46,7 @@ for t in $tests; do
     fi
     start=""
     name="$t"
-    testit "$name" $VALGRIND bin/smbtorture $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+    testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
 done
 
 testok $0 $failed
index 29a6c252146e8a281fbca4dd3879c345f4f59774..d7272b0e6e28c75f6fe3aac10b6ad387bb2d4bda 100755 (executable)
@@ -36,7 +36,7 @@ for bindoptions in connect sign seal sign,seal spnego spnego,sign spnego,seal va
      esac
    for t in $tests; do
     name="$t on $transport with $bindoptions"
-    testit "$name" $VALGRIND bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
+    testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
    done
  done
 done
index c8f595744210992da430d0d4dfa20041007c9458..71c6f3a4f76a1db839a597189534fd4c2e957b0a 100755 (executable)
@@ -33,7 +33,7 @@ OPTIONS="-U$username%$password -W $domain --option realm=$realm"
 failed=0
 
 name="RPC-SPOOLSS on ncacn_np"
-testit "$name" bin/smbtorture ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*" || failed=`expr $failed + 1`
 
 for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate bigendian; do
    for transport in ncacn_ip_tcp ncacn_np; do
@@ -43,14 +43,14 @@ for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate b
      esac
    for t in $tests; do
     name="$t on $transport with $bindoptions"
-    testit "$name" bin/smbtorture $transport:"$server[$bindoptions]" $OPTIONS $t "$*" || failed=`expr $failed + 1`
+    testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $OPTIONS $t "$*" || failed=`expr $failed + 1`
    done
  done
 done
 
 name="RPC-DRSUAPI on ncacn_ip_tcp with seal"
-testit "$name" bin/smbtorture ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
 name="RPC-DRSUAPI on ncacn_ip_tcp with seal,bigendian"
-testit "$name" bin/smbtorture ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
 
 testok $0 $failed